Bug 140344

Summary: Remove support for SharedWorkers
Product: WebKit Reporter: Sam Weinig <sam>
Component: New BugsAssignee: Sam Weinig <sam>
Status: RESOLVED FIXED    
Severity: Normal CC: beidson, lewispham, olamedia, ossy
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=149850
Attachments:
Description Flags
Patch andersca: review+

Description Sam Weinig 2015-01-11 15:25:10 PST
Remove support for SharedWorkers
Comment 1 Sam Weinig 2015-01-11 15:31:42 PST
Created attachment 244426 [details]
Patch
Comment 2 Sam Weinig 2015-01-11 17:11:31 PST
The Mac failure to build looks unrelated.
Comment 3 Sam Weinig 2015-01-12 16:40:54 PST
Committed r178310: <http://trac.webkit.org/changeset/178310>
Comment 4 olamedia 2016-07-27 04:25:47 PDT
Can anyone comment what is another option to make shared websocket if you removed this feature?
Comment 5 Lewis 2017-08-22 23:12:46 PDT
SharedWorker is mandatory for implementing the superthread architecture for webapps. Is there any chance that it will be brought back to consideration?
Comment 6 Brady Eidson 2019-10-06 19:52:54 PDT
(In reply to Lewis from comment #5)
> SharedWorker is mandatory for implementing the superthread architecture for
> webapps. Is there any chance that it will be brought back to consideration?

ServiceWorkers can do everything SharedWorkers could. (Or am I wrong about that?)
Comment 7 Lewis 2019-10-06 19:59:25 PDT
@brady ServiceWorker has temporary lifetime while SharedWorker persists until all pages are closed. This is the fundamental difference between the two. As a result, persistent connections (websocket, indexeddb) can not be kept alive in ServiceWorker.